File: commonmarker.gemspec

package info (click to toggle)
ruby-commonmarker 0.20.2-1~bpo10+1
  • links: PTS, VCS
  • area: main
  • in suites: buster-backports
  • size: 1,232 kB
  • sloc: ansic: 10,122; ruby: 1,539; makefile: 6
file content (41 lines) | stat: -rw-r--r-- 1,648 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
# encoding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'commonmarker/version'

Gem::Specification.new do |s|
  s.name = 'commonmarker'
  s.version = CommonMarker::VERSION
  s.summary = 'CommonMark parser and renderer. Written in C, wrapped in Ruby.'
  s.description = 'A fast, safe, extensible parser for CommonMark. This wraps the official libcmark library.'
  s.authors       = ['Garen Torikian', 'Ashe Connor']
  s.homepage = 'https://github.com/gjtorikian/commonmarker'
  s.license = 'MIT'
  s.required_ruby_version = '>= 2.0.0'

  s.files         = %w(LICENSE.txt README.md Rakefile commonmarker.gemspec bin/commonmarker)
  s.files        += Dir.glob('lib/**/*.rb')
  s.files        += Dir.glob('ext/commonmarker/*.*')
  s.test_files    = Dir.glob('test/**/*').reject { |f| f == 'test/benchinput.md' || f.start_with?('test/progit/') }
  s.extensions    = ['ext/commonmarker/extconf.rb']

  s.test_files = s.files.grep(%r{^test/})
  s.executables = ['commonmarker']
  s.require_paths = %w(lib ext)

  s.rdoc_options += ['-x', 'ext/commonmarker/cmark/.*']

  s.add_dependency 'ruby-enum', '~> 0.5'

  s.add_development_dependency 'minitest', '~> 5.6'
  s.add_development_dependency 'minitest-focus', '~> 1.1'
  s.add_development_dependency 'rake-compiler', '~> 0.9'
  s.add_development_dependency 'json', '~> 1.8.1'
  s.add_development_dependency 'awesome_print'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'rdoc', '~> 5.1'
  s.add_development_dependency 'rubocop'
  s.add_development_dependency 'rubocop-standard'
end